Skip to main content
POST
/
api
/
v1
/
integration
/
connect
Connect a toolkit
curl --request POST \
  --url https://neo.api.projectdiscovery.io/api/v1/integration/connect \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "toolkit": "<string>",
  "auth_mode": "<string>",
  "callback_url": "<string>",
  "credentials": {}
}
'
{
  "success": true,
  "data": {
    "connected": true,
    "redirect_url": "<string>"
  },
  "error": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Body

application/json
toolkit
string
required
auth_mode
string
callback_url
string
credentials
object

Response

Connect result

success
boolean
required
data
object
error
string | null